Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

Commit [e2036b] Maximize Restore History

Add experimental OpenGL ES extension support, disabled by default.

Move registry into registry/gl, move extensions into extensions/gl.
This allows room for registry/gles and extensions/gles.
Extension filtering moved from update_ext.sh to filter_gl_ext.sh, different logic for OpenGL ES.

Nigel Stewart Nigel Stewart 2012-10-24

1 2 3 .. 6 > >> (Page 1 of 6)
added auto/bin/filter_gl_ext.sh
removed auto/core/GLX_AMD_gpu_association
removed auto/core/GLX_ARB_get_proc_address
removed auto/core/GLX_ATI_pixel_format_float
removed auto/core/GLX_ATI_render_texture
removed auto/core/GLX_EXT_create_context_es2_profile
removed auto/core/GLX_EXT_create_context_es_profile
removed auto/core/GLX_EXT_fbconfig_packed_float
removed auto/core/GLX_EXT_framebuffer_sRGB
removed auto/core/GLX_MESA_swap_control
removed auto/core/GLX_NV_float_buffer
removed auto/core/GLX_SGIS_shared_multisample
removed auto/core/GLX_SGIX_hyperpipe
removed auto/core/GLX_SGIX_swap_barrier
removed auto/core/GLX_SGIX_swap_group
removed auto/core/GLX_SGI_video_sync
removed auto/core/GLX_SUN_video_resize
removed auto/core/GLX_VERSION_1_2
removed auto/core/GLX_VERSION_1_3
changed auto/bin/parse_spec.pl
changed auto/bin/update_ext.sh
changed auto/bin/update_registry.sh
copied auto/core/GLX_NV_vertex_array_range -> auto/bin/filter_gles_ext.sh
auto/bin/filter_gl_ext.sh Diff Switch to side-by-side view
Loading...
auto/core/GLX_NV_float_buffer
File was removed.
auto/core/GLX_SGIX_hyperpipe
File was removed.
auto/core/GLX_SGIX_swap_group
File was removed.
auto/core/GLX_SGI_video_sync
File was removed.
auto/core/GLX_SUN_video_resize
File was removed.
auto/core/GLX_VERSION_1_2
File was removed.
auto/core/GLX_VERSION_1_3
File was removed.
auto/bin/parse_spec.pl Diff Switch to side-by-side view
Loading...
auto/bin/update_ext.sh Diff Switch to side-by-side view
Loading...
auto/bin/update_registry.sh Diff Switch to side-by-side view
Loading...
auto/core/GLX_NV_vertex_array_range to auto/bin/filter_gles_ext.sh
--- a/auto/core/gl/GLX_NV_vertex_array_range
+++ b/auto/bin/filter_gles_ext.sh
@@ -1,5 +1,19 @@
-GLX_NV_vertex_array_range
-http://oss.sgi.com/projects/ogl-sample/registry/NV/vertex_array_range.txt
-GLX_NV_vertex_array_range
-	void * glXAllocateMemoryNV (GLsizei size, GLfloat readFrequency, GLfloat writeFrequency, GLfloat priority)
-	void glXFreeMemoryNV (void *pointer)
+#!/bin/bash
+##
+## Copyright (C) 2002-2008, Marcelo E. Magallon <mmagallo[]debian org>
+## Copyright (C) 2002-2008, Milan Ikits <milan ikits[]ieee org>
+##
+## This program is distributed under the terms and conditions of the GNU
+## General Public License Version 2 as published by the Free Software
+## Foundation or, at your option, any later version.
+##
+## Parameters:
+##
+##       $1: Extensions directory
+##       $2: Registry directory
+##       $3: The black list
+
+set -e
+
+# clean up
+    rm -f $1/*.bak
1 2 3 .. 6 > >> (Page 1 of 6)